## qt6-charts 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(charts)

qt_examples_build_end()

=== plugins/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from plugins.pro.

add_subdirectory(designer)

=== examples/charts/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(QT_FEATURE_charts_area_chart
        AND QT_FEATURE_charts_line_chart
        AND QT_FEATURE_charts_spline_chart
        AND QT_FEATURE_charts_bar_chart
        AND QT_FEATURE_charts_pie_chart
        AND QT_FEATURE_charts_boxplot_chart
        AND QT_FEATURE_charts_candlestick_chart
        AND QT_FEATURE_charts_scatter_chart
        AND QT_FEATURE_charts_datetime_axis)
    qt_internal_add_example(chartsgallery)
endif()

if(QT_FEATURE_charts_area_chart
        AND QT_FEATURE_charts_line_chart
        AND QT_FEATURE_charts_spline_chart
        AND QT_FEATURE_charts_bar_chart
        AND QT_FEATURE_charts_pie_chart
        AND QT_FEATURE_charts_boxplot_chart
        AND QT_FEATURE_charts_candlestick_chart
        AND QT_FEATURE_charts_scatter_chart
        AND QT_FEATURE_charts_datetime_axis
        AND TARGET Qt::Quick)
    qt_internal_add_example(qmlchartsgallery)
endif()

if(QT_FEATURE_charts_line_chart AND TARGET Qt::Multimedia)
    qt_internal_add_example(audio)
endif()

if(QT_FEATURE_opengl)
    qt_internal_add_example(openglseries)
endif()

if(QT_FEATURE_charts_line_chart)
    qt_internal_add_example(zoomlinechart)
endif()

if(QT_FEATURE_charts_line_chart AND QT_FEATURE_charts_scatter_chart AND TARGET Qt::Quick)
    qt_internal_add_example(qmloscilloscope)
endif()

if(QT_FEATURE_charts_line_chart AND QT_FEATURE_charts_bar_chart AND TARGET Qt::Quick)
    qt_internal_add_example(qmlweather)
endif()

=== plugins/designer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from designer.pro.

#####################################################################
## qtchartsdesigner Generic Library:
#####################################################################

qt_internal_add_cmake_library(qtchartsdesigner
    MODULE
    INSTALL_DIRECTORY "$$[QT_INSTALL_PLUGINS]/designer"
    SOURCES
        qchartsplugin.cpp qchartsplugin.h
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
        ../../../include
    PUBLIC_LIBRARIES
        Qt::Charts
        Qt::Core
        Qt::Designer
        Qt::Gui
)

# Resources:
set(qchartsplugin_resource_files
    "qcharts.png"
)

qt_internal_add_resource(qtchartsdesigner "qchartsplugin"
    PREFIX
        "/images"
    FILES
        ${qchartsplugin_resource_files}
)


#### Keys ignored in scope 1:.:.:designer.pro:<TRUE>:
# DEPENDPATH = "$$PWD"
# INSTALLS = "target"
# TEMPLATE = "lib"
# target.path = "$$[QT_INSTALL_PLUGINS]/designer"

qt_autogen_tools_initial_setup(qtchartsdesigner)

=== src/charts/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from charts.pro.

#####################################################################
## Charts Module:
#####################################################################

qt_internal_add_module(Charts
    TARGET_PRODUCT "Qt Charts (Qt ${PROJECT_VERSION})"
    TARGET_DESCRIPTION "Charts component for Qt."
    SOURCES
        animations/axisanimation.cpp animations/axisanimation_p.h
        animations/chartanimation.cpp animations/chartanimation_p.h
        animations/xyanimation.cpp animations/xyanimation_p.h
        axis/barcategoryaxis/chartbarcategoryaxisx.cpp axis/barcategoryaxis/chartbarcategoryaxisx_p.h
        axis/barcategoryaxis/chartbarcategoryaxisy.cpp axis/barcategoryaxis/chartbarcategoryaxisy_p.h
        axis/barcategoryaxis/qbarcategoryaxis.cpp axis/barcategoryaxis/qbarcategoryaxis.h axis/barcategoryaxis/qbarcategoryaxis_p.h
        axis/cartesianchartaxis.cpp axis/cartesianchartaxis_p.h
        axis/categoryaxis/chartcategoryaxisx.cpp axis/categoryaxis/chartcategoryaxisx_p.h
        axis/categoryaxis/chartcategoryaxisy.cpp axis/categoryaxis/chartcategoryaxisy_p.h
        axis/categoryaxis/polarchartcategoryaxisangular.cpp axis/categoryaxis/polarchartcategoryaxisangular_p.h
        axis/categoryaxis/polarchartcategoryaxisradial.cpp axis/categoryaxis/polarchartcategoryaxisradial_p.h
        axis/categoryaxis/qcategoryaxis.cpp axis/categoryaxis/qcategoryaxis.h axis/categoryaxis/qcategoryaxis_p.h
        axis/coloraxis/qcoloraxis.cpp axis/coloraxis/qcoloraxis.h axis/coloraxis/qcoloraxis_p.h
        axis/coloraxis/chartcoloraxisy.cpp axis/coloraxis/chartcoloraxisy_p.h
        axis/coloraxis/chartcoloraxisx.cpp axis/coloraxis/chartcoloraxisx_p.h
        axis/chartaxiselement.cpp axis/chartaxiselement_p.h
        axis/editableaxislabel.cpp axis/editableaxislabel_p.h
        axis/horizontalaxis.cpp axis/horizontalaxis_p.h
        axis/linearrowitem_p.h
        axis/logvalueaxis/chartlogvalueaxisx.cpp axis/logvalueaxis/chartlogvalueaxisx_p.h
        axis/logvalueaxis/chartlogvalueaxisy.cpp axis/logvalueaxis/chartlogvalueaxisy_p.h
        axis/logvalueaxis/polarchartlogvalueaxisangular.cpp axis/logvalueaxis/polarchartlogvalueaxisangular_p.h
        axis/logvalueaxis/polarchartlogvalueaxisradial.cpp axis/logvalueaxis/polarchartlogvalueaxisradial_p.h
        axis/logvalueaxis/qlogvalueaxis.cpp axis/logvalueaxis/qlogvalueaxis.h axis/logvalueaxis/qlogvalueaxis_p.h
        axis/polarchartaxis.cpp axis/polarchartaxis_p.h
        axis/polarchartaxisangular.cpp axis/polarchartaxisangular_p.h
        axis/polarchartaxisradial.cpp axis/polarchartaxisradial_p.h
        axis/qabstractaxis.cpp axis/qabstractaxis.h axis/qabstractaxis_p.h
        axis/valueaxis/chartvalueaxisx.cpp axis/valueaxis/chartvalueaxisx_p.h
        axis/valueaxis/chartvalueaxisy.cpp axis/valueaxis/chartvalueaxisy_p.h
        axis/valueaxis/polarchartvalueaxisangular.cpp axis/valueaxis/polarchartvalueaxisangular_p.h
        axis/valueaxis/polarchartvalueaxisradial.cpp axis/valueaxis/polarchartvalueaxisradial_p.h
        axis/valueaxis/qvalueaxis.cpp axis/valueaxis/qvalueaxis.h axis/valueaxis/qvalueaxis_p.h
        axis/valueaxis/valueaxislabel.cpp axis/valueaxis/valueaxislabel_p.h
        axis/verticalaxis.cpp axis/verticalaxis_p.h
        chartbackground.cpp chartbackground_p.h
        chartconfig_p.h
        chartdataset.cpp chartdataset_p.h
        chartelement.cpp chartelement_p.h
        charthelpers_p.h
        chartitem.cpp chartitem_p.h
        chartpresenter.cpp chartpresenter_p.h
        chartthememanager.cpp chartthememanager_p.h
        charttitle.cpp charttitle_p.h
        domain/abstractdomain.cpp domain/abstractdomain_p.h
        domain/logxlogydomain.cpp domain/logxlogydomain_p.h
        domain/logxlogypolardomain.cpp domain/logxlogypolardomain_p.h
        domain/logxydomain.cpp domain/logxydomain_p.h
        domain/logxypolardomain.cpp domain/logxypolardomain_p.h
        domain/polardomain.cpp domain/polardomain_p.h
        domain/xlogydomain.cpp domain/xlogydomain_p.h
        domain/xlogypolardomain.cpp domain/xlogypolardomain_p.h
        domain/xydomain.cpp domain/xydomain_p.h
        domain/xypolardomain.cpp domain/xypolardomain_p.h
        layout/abstractchartlayout.cpp layout/abstractchartlayout_p.h
        layout/cartesianchartlayout.cpp layout/cartesianchartlayout_p.h
        layout/polarchartlayout.cpp layout/polarchartlayout_p.h
        legend/legendlayout.cpp legend/legendlayout_p.h
        legend/legendmarkeritem.cpp legend/legendmarkeritem_p.h
        legend/legendscroller.cpp legend/legendscroller_p.h
        legend/legendmoveresizehandler.cpp legend/legendmoveresizehandler_p.h
        legend/qlegend.cpp legend/qlegend.h legend/qlegend_p.h
        legend/qlegendmarker.cpp legend/qlegendmarker.h legend/qlegendmarker_p.h
        legend/qxylegendmarker.cpp legend/qxylegendmarker.h legend/qxylegendmarker_p.h
        qabstractseries.cpp qabstractseries.h qabstractseries_p.h
        qchart.cpp qchart.h qchart_p.h
        qchartglobal.h qchartglobal_p.h
        qchartview.cpp qchartview.h qchartview_p.h
        qpolarchart.cpp qpolarchart.h
        scroller.cpp scroller_p.h
        themes/charttheme_p.h
        themes/chartthemebluecerulean_p.h
        themes/chartthemeblueicy_p.h
        themes/chartthemebluencs_p.h
        themes/chartthemebrownsand_p.h
        themes/chartthemedark_p.h
        themes/chartthemehighcontrast_p.h
        themes/chartthemelight_p.h
        themes/chartthemeqt_p.h
        themes/chartthemesystem_p.h
        xychart/glxyseriesdata.cpp xychart/glxyseriesdata_p.h
        xychart/qhxymodelmapper.cpp xychart/qhxymodelmapper.h
        xychart/qvxymodelmapper.cpp xychart/qvxymodelmapper.h
        xychart/qxymodelmapper.cpp xychart/qxymodelmapper.h xychart/qxymodelmapper_p.h
        xychart/qxyseries.cpp xychart/qxyseries.h xychart/qxyseries_p.h
        xychart/xychart.cpp xychart/xychart_p.h
    NO_PCH_SOURCES
        # these all contain Q_FOREACH, so need to undef QT_NO_FOREACH
        axis/barcategoryaxis/chartbarcategoryaxisx.cpp
        axis/barcategoryaxis/chartbarcategoryaxisy.cpp
        axis/barcategoryaxis/qbarcategoryaxis.cpp
        axis/cartesianchartaxis.cpp
        axis/categoryaxis/chartcategoryaxisx.cpp
        axis/categoryaxis/chartcategoryaxisy.cpp
        axis/chartaxiselement.cpp
        axis/logvalueaxis/chartlogvalueaxisx.cpp
        axis/logvalueaxis/chartlogvalueaxisy.cpp
        axis/polarchartaxis.cpp
        axis/polarchartaxisangular.cpp
        axis/polarchartaxisradial.cpp
        axis/valueaxis/chartvalueaxisx.cpp
        axis/valueaxis/chartvalueaxisy.cpp
        chartdataset.cpp
        chartpresenter.cpp
        chartthememanager.cpp
        layout/polarchartlayout.cpp
        legend/legendlayout.cpp
        legend/qlegend.cpp
        qchart.cpp
        xychart/glxyseriesdata.cpp
        xychart/qxyseries.cpp
        # end undef QT_NO_FOREACH
    INCLUDE_DIRECTORIES
        animations
        axis
        axis/barcategoryaxis
        axis/categoryaxis
        axis/coloraxis
        axis/logvalueaxis
        axis/valueaxis
        domain
        layout
        legend
        themes
        xychart
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Widgets
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_opengl
    SOURCES
        glwidget.cpp glwidget_p.h
    NO_PCH_SOURCES
        glwidget.cpp # undef QT_NO_FOREACH
    PUBLIC_LIBRARIES
        Qt::OpenGL
        Qt::OpenGLWidgets
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_area_chart
    SOURCES
        areachart/areachartitem.cpp areachart/areachartitem_p.h
        areachart/qareaseries.cpp areachart/qareaseries.h areachart/qareaseries_p.h
        legend/qarealegendmarker.cpp legend/qarealegendmarker.h legend/qarealegendmarker_p.h
    INCLUDE_DIRECTORIES
        areachart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_bar_chart
    SOURCES
        animations/baranimation.cpp animations/baranimation_p.h
        barchart/abstractbarchartitem.cpp barchart/abstractbarchartitem_p.h
        barchart/bar.cpp barchart/bar_p.h
        barchart/horizontal/bar/horizontalbarchartitem.cpp barchart/horizontal/bar/horizontalbarchartitem_p.h
        barchart/horizontal/bar/qhorizontalbarseries.cpp barchart/horizontal/bar/qhorizontalbarseries.h barchart/horizontal/bar/qhorizontalbarseries_p.h
        barchart/horizontal/percent/horizontalpercentbarchartitem.cpp barchart/horizontal/percent/horizontalpercentbarchartitem_p.h
        barchart/horizontal/percent/qhorizontalpercentbarseries.cpp barchart/horizontal/percent/qhorizontalpercentbarseries.h barchart/horizontal/percent/qhorizontalpercentbarseries_p.h
        barchart/horizontal/stacked/horizontalstackedbarchartitem.cpp barchart/horizontal/stacked/horizontalstackedbarchartitem_p.h
        barchart/horizontal/stacked/qhorizontalstackedbarseries.cpp barchart/horizontal/stacked/qhorizontalstackedbarseries.h barchart/horizontal/stacked/qhorizontalstackedbarseries_p.h
        barchart/qabstractbarseries.cpp barchart/qabstractbarseries.h barchart/qabstractbarseries_p.h
        barchart/qbarmodelmapper.cpp barchart/qbarmodelmapper.h barchart/qbarmodelmapper_p.h
        barchart/qbarset.cpp barchart/qbarset.h barchart/qbarset_p.h
        barchart/qhbarmodelmapper.cpp barchart/qhbarmodelmapper.h
        barchart/qvbarmodelmapper.cpp barchart/qvbarmodelmapper.h
        barchart/vertical/bar/barchartitem.cpp barchart/vertical/bar/barchartitem_p.h
        barchart/vertical/bar/qbarseries.cpp barchart/vertical/bar/qbarseries.h barchart/vertical/bar/qbarseries_p.h
        barchart/vertical/percent/percentbarchartitem.cpp barchart/vertical/percent/percentbarchartitem_p.h
        barchart/vertical/percent/qpercentbarseries.cpp barchart/vertical/percent/qpercentbarseries.h barchart/vertical/percent/qpercentbarseries_p.h
        barchart/vertical/stacked/qstackedbarseries.cpp barchart/vertical/stacked/qstackedbarseries.h barchart/vertical/stacked/qstackedbarseries_p.h
        barchart/vertical/stacked/stackedbarchartitem.cpp barchart/vertical/stacked/stackedbarchartitem_p.h
        legend/qbarlegendmarker.cpp legend/qbarlegendmarker.h legend/qbarlegendmarker_p.h
    NO_PCH_SOURCES
        barchart/abstractbarchartitem.cpp # undef QT_NO_FOREACH
        barchart/qabstractbarseries.cpp # undef QT_NO_FOREACH
    INCLUDE_DIRECTORIES
        barchart
        barchart/horizontal/bar
        barchart/horizontal/percent
        barchart/horizontal/stacked
        barchart/vertical/bar
        barchart/vertical/percent
        barchart/vertical/stacked
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_line_chart
    SOURCES
        linechart/linechartitem.cpp linechart/linechartitem_p.h
        linechart/qlineseries.cpp linechart/qlineseries.h linechart/qlineseries_p.h
    INCLUDE_DIRECTORIES
        linechart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_pie_chart
    SOURCES
        animations/pieanimation.cpp animations/pieanimation_p.h
        animations/piesliceanimation.cpp animations/piesliceanimation_p.h
        legend/qpielegendmarker.cpp legend/qpielegendmarker.h legend/qpielegendmarker_p.h
        piechart/piechartitem.cpp piechart/piechartitem_p.h
        piechart/pieslicedata_p.h
        piechart/piesliceitem.cpp piechart/piesliceitem_p.h
        piechart/qhpiemodelmapper.cpp piechart/qhpiemodelmapper.h
        piechart/qpiemodelmapper.cpp piechart/qpiemodelmapper.h piechart/qpiemodelmapper_p.h
        piechart/qpieseries.cpp piechart/qpieseries.h piechart/qpieseries_p.h
        piechart/qpieslice.cpp piechart/qpieslice.h piechart/qpieslice_p.h
        piechart/qvpiemodelmapper.cpp piechart/qvpiemodelmapper.h
    NO_PCH_SOURCES

=== src/chartsqml2/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(ChartsQml
    URI "QtCharts" # special case
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtChartsQml2Plugin
    PLUGIN_TARGET qtchartsqml2
    PAST_MAJOR_VERSIONS 1 2
    DESIGNER_SUPPORTED
    DEPENDENCIES
        QtQuick
    SOURCES
        declarativeabstractrendernode_p.h
        declarativeaxes.cpp declarativeaxes_p.h
        declarativecategoryaxis.cpp declarativecategoryaxis_p.h
        declarativechart.cpp declarativechart_p.h
        declarativechartglobal_p.h
        declarativechartnode.cpp declarativechartnode_p.h
        declarativeforeigntypes_p.h
        declarativemargins.cpp declarativemargins_p.h
        declarativepolarchart.cpp declarativepolarchart_p.h
        declarativexypoint.cpp declarativexypoint_p.h
        declarativexyseries.cpp declarativexyseries_p.h
    NO_PCH_SOURCES
        declarativecategoryaxis.cpp # undef QT_NO_FOREACH
        declarativechart.cpp # undef QT_NO_FOREACH
        declarativexyseries.cpp # undef QT_NO_FOREACH
    DEFINES
        QT_BUILD_QMLCHARTS_LIB
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        Qt::ChartsPrivate
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Charts
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_opengl
    SOURCES
        declarativeopenglrendernode.cpp declarativeopenglrendernode_p.h
    NO_PCH_SOURCES
        declarativeopenglrendernode.cpp # undef QT_NO_FOREACH
    PUBLIC_LIBRARIES
        Qt::OpenGL
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_line_chart
    SOURCES
        declarativelineseries.cpp declarativelineseries_p.h
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_spline_chart
    SOURCES
        declarativesplineseries.cpp declarativesplineseries_p.h
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_area_chart
    SOURCES
        declarativeareaseries.cpp declarativeareaseries_p.h
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_scatter_chart
    SOURCES
        declarativescatterseries.cpp declarativescatterseries_p.h
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_pie_chart
    SOURCES
        declarativepieseries.cpp declarativepieseries_p.h
    NO_PCH_SOURCES
        declarativepieseries.cpp # undef QT_NO_FOREACH
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_bar_chart
    SOURCES
        declarativebarseries.cpp declarativebarseries_p.h
    NO_PCH_SOURCES
        declarativebarseries.cpp # undef QT_NO_FOREACH
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_boxplot_chart
    SOURCES
        declarativeboxplotseries.cpp declarativeboxplotseries_p.h
    NO_PCH_SOURCES
        declarativeboxplotseries.cpp # undef QT_NO_FOREACH
)

qt_internal_extend_target(ChartsQml CONDITION QT_FEATURE_charts_candlestick_chart
    SOURCES
        declarativecandlestickseries.cpp declarativecandlestickseries_p.h
    NO_PCH_SOURCES
        declarativecandlestickseries.cpp # undef QT_NO_FOREACH
)

# Warning: The files in the "designer" directory are _not_ part of this QML module.
#          That is the sole reason why we install them manually.
#          All files that do belong to the QML module _must_ be passed using the
#          QML_FILES option. You should _never_ install them manually.
add_subdirectory(designer)

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from manual.pro.

add_subdirectory(presenterchart)
add_subdirectory(polarcharttest)
add_subdirectory(boxplottester)
add_subdirectory(candlesticktester)
add_subdirectory(barcharttester)
if(QT_FEATURE_opengl)
    add_subdirectory(chartwidgettest)
    add_subdirectory(wavechart)
    add_subdirectory(chartviewer)
    add_subdirectory(openglseriestest)
endif()
if(TARGET Qt::Quick)
    add_subdirectory(qmlchartproperties)
    add_subdirectory(qmlchartaxis)
endif()

=== examples/charts/qmlchartsgallery/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qmlchartsgallery LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/qmlchartsgallery")

find_package(Qt6 REQUIRED COMPONENTS Charts Core Gui Qml Quick)

qt_standard_project_setup()

qt_add_executable(qmlchartsgallery
    main.cpp
)

set_target_properties(qmlchartsgallery PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(qmlchartsgallery PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(resources_resource_files
    "qml/AreaSeries.qml"
    "qml/BarSeries.qml"
    "qml/BarSeriesHorizontal.qml"
    "qml/BarSeriesPercent.qml"
    "qml/BarSeriesPercentHorizontal.qml"
    "qml/BarSeriesStacked.qml"
    "qml/BarSeriesStackedHorizontal.qml"
    "qml/BoxPlotSeries.qml"
    "qml/CandlestickSeries.qml"
    "qml/CategoryAxis.qml"
    "qml/CategoryAxisPolar.qml"
    "qml/DateTimeAxis.qml"
    "qml/DateTimeAxisPolar.qml"
    "qml/Donut.qml"
    "qml/LineSeries.qml"
    "qml/Main.qml"
    "qml/PieChart.qml"
    "qml/SplineSeries.qml"
    "qml/ScatterSeries.qml"
    "qml/TwoSeries.qml"
    "qml/TwoSeriesPolar.qml"
    "qml/WheelOfFortune.qml"
    "qml/customlegend/AnimatedAreaSeries.qml"
    "qml/customlegend/ChartViewHighlighted.qml"
    "qml/customlegend/ChartViewSelector.qml"
    "qml/customlegend/ChartViewStacked.qml"
    "qml/customlegend/CustomLegend.qml"
    "qml/customlegend/Main.qml"
    "qml/f1legends/F1Legends.qml"
    "qml/f1legends/SpeedsList.qml"
)

qt6_add_resources(qmlchartsgallery "qmlchartsgallery"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

install(TARGETS qmlchartsgallery
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/chartsqml2/designer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_path_join(destination ${QT_INSTALL_DIR} "${INSTALL_QMLDIR}/QtCharts/designer")
qt_copy_or_install(
    FILES
        ChartViewSpecifics.qml
        qtcharts.metainfo
    DESTINATION ${destination}
)

add_subdirectory(default)
add_subdirectory(images)

=== tests/auto/chartdataset/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from chartdataset.pro.

#####################################################################
## chartdataset Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_chartdataset LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_chartdataset
    SOURCES
        ../inc/tst_definitions.h
        tst_chartdataset.cpp
    INCLUDE_DIRECTORIES
        ../inc
    LIBRARIES
        Qt::Charts
        Qt::ChartsPrivate
        Qt::CorePrivate
        Qt::Gui
        Qt::Widgets
)

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(charts_cmake_tests)
enable_testing()

set(required_packages Core Charts)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    Charts QChartView
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/qbarset/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qbarset.pro.

#####################################################################
## qbarset Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qbarset LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qbarset
    SOURCES
        ../inc/tst_definitions.h
        tst_qbarset.cpp
    INCLUDE_DIRECTORIES
        ../inc
    LIBRARIES
        Qt::Charts
        Qt::Gui
        Qt::Widgets
)

=== debian/changelog ===
qt6-charts (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:29:08 +0100

qt6-charts (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:16:57 +0200

qt6-charts (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 18:52:19 +0200

=== debian/control ===
Source: qt6-charts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-multimedia-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git

Package: libqt6charts6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: qml6-module-qtcharts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6chartsqml6,
Replaces: libqt6chartsqml6,
Description: Qt 6 Charts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package provides the QML module for Qt 6 Charts.

Package: qt6-charts-dev
Provides: libqt6charts6-dev (= ${binary:Version}),
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6charts6 (= ${binary:Version}),
         qml6-module-qtcharts (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6charts6-dev (<< 6.3.1-3~),
Replaces: libqt6charts6-dev (<< 6.3.1-3~),
Description: Qt 6 Charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Charts.

Package: qt6-charts-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Charts documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Charts.

Package: qt6-charts-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Charts HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Charts.

Package: qt6-charts-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Charts examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Charts submodule.

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtcharts-everywhere-src-(.*)\.tar\.xz

## qt6-charts 6.9.3

=== debian/changelog ===
qt6-charts (6.9.3-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:08:22 +0000

qt6-charts (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-charts (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:51:55 +1000

qt6-charts (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:56:49 +1000

qt6-charts (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:33:47 +1000

qt6-charts (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:13:13 +1000

qt6-charts (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:17:40 +1000

qt6-charts (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:41:00 +1000

qt6-charts (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 25 Jul 2024 23:58:07 +1000

qt6-charts (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 01:11:35 +1000

qt6-charts (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 14:08:38 +1000

qt6-charts (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:31:05 +0100

=== debian/control ===
Source: qt6-charts
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-charts.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-charts
Maintainer: Neon CI <neon@kde.org>

Package: qt6-charts
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6charts6, libqt6chartsqml6
Description: Qt 6 charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: qt6-charts-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-charts (= ${binary:Version}),
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6charts6-dev (<< 6.3.1-3~)
Replaces: libqt6charts6-dev, qml6-module-qtcharts, qt6-charts-examples
Description: Qt 6 charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using QtCharts.

Package: qt6-charts-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-charts-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-charts-doc-html
Description: Qt 6 charts - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header documentation used to help build Qt 6
 applications using QtCharts.

Package: libqt6charts6
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6chartsqml6
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtcharts
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-charts-doc-html
Architecture: all
Depends: qt6-charts-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-charts-examples
Architecture: all
Depends: qt6-charts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-charts 6.10.0

=== debian/changelog ===
qt6-charts (6.10.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:33:56 +0000

qt6-charts (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:13 +1000

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-multimedia-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-multimedia-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-charts 6.10.1

=== debian/changelog ===
qt6-charts (6.10.1-0zneon+24.04+noble+stable+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:33:52 +0000

qt6-charts (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtcharts-everywhere-src-([\d\.]+\d).tar.xz

## qt6-charts 6.10.2

=== debian/changelog ===
qt6-charts (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Feb 2026 23:27:27 +0100

=== debian/control ===
Source: qt6-charts
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-multimedia-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git

Package: libqt6charts6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: qml6-module-qtcharts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6chartsqml6,
Replaces: libqt6chartsqml6,
Description: Qt 6 Charts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package provides the QML module for Qt 6 Charts.

Package: qt6-charts-dev
Provides: libqt6charts6-dev (= ${binary:Version}),
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6charts6 (= ${binary:Version}),
         qml6-module-qtcharts (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6charts6-dev (<< 6.3.1-3~),
Replaces: libqt6charts6-dev (<< 6.3.1-3~),
Description: Qt 6 Charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Charts.

Package: qt6-charts-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 Charts documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Charts.

Package: qt6-charts-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 Charts HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Charts.

Package: qt6-charts-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Charts examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Charts submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtcharts-everywhere-src-(.*)\.tar\.xz
